English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# OAuth for Python

#### Experimental!

OAuth for Python is an experimental, innovative, and rapidly changing new feature for App Engine. Unfortunately, being on the bleeding edge means that we may make backwards-incompatible changes to OAuth for Python. We will inform the community when this feature is no longer experimental.

OAuth is a protocol that allows a user to grant a third party limited permission to access a web application on her behalf, without sharing her credentials (username and password) with the third party. The third party can be a web application, or any other application with the capability of invoking a web browser for the user, such as a desktop application or an app running on a smart phone. In the terms of the OAuth specification, the application seeking permission is the consumer, and the application providing the data is the service provider.

This reference describes how to use OAuth with Python applications as the service provider. It has the following sections:

- Overview
- Reference
  - Functions
  - Exceptions